PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
plask::optical::modal::LevelsAdapter::Level Struct Referenceabstract

`#include <solvers/optical/modal/meshadapter.hpp>`

Inheritance diagram for plask::optical::modal::LevelsAdapter::Level:
[legend]

## Public Member Functions
virtual size_t | index (size_t i) const =0
| Unscramble indices.
virtual double | vpos () const =0
| Get level vertical position.
virtual size_t | size () const =0
| Get mesh size.
virtual shared_ptr< const Mesh > | mesh () const =0
| Get the mesh for this level.

## Detailed Description

Definition at line 29 of file meshadapter.hpp.

## Member Function Documentation

## ◆ index()

virtual size_t plask::optical::modal::LevelsAdapter::Level::index | ( | size_t | i | ) | const
| pure virtual

Unscramble indices.

Parameters

  i | index in the adapter

Returns
  index in the original mesh

Implemented in plask::optical::modal::LevelsAdapterRectangular< dim >::RectangularLevel, plask::optical::modal::LevelsAdapterRectangular< dim >::RectangularLevel, plask::optical::modal::LevelsAdapterGeneric< dim >::GenericLevel, and plask::optical::modal::LevelsAdapterRectangular< dim >::RectangularLevel.

## ◆ mesh()

virtual shared_ptr< const Mesh > plask::optical::modal::LevelsAdapter::Level::mesh | ( |  | ) | const
| pure virtual

Get the mesh for this level.

Implemented in plask::optical::modal::LevelsAdapterGeneric< dim >::GenericLevel, and plask::optical::modal::LevelsAdapterRectangular< dim >::RectangularLevel.

## ◆ size()

virtual size_t plask::optical::modal::LevelsAdapter::Level::size | ( |  | ) | const
| pure virtual

Get mesh size.

Implemented in plask::optical::modal::LevelsAdapterRectangular< dim >::RectangularLevel, plask::optical::modal::LevelsAdapterRectangular< dim >::RectangularLevel, plask::optical::modal::LevelsAdapterGeneric< dim >::GenericLevel, and plask::optical::modal::LevelsAdapterRectangular< dim >::RectangularLevel.

## ◆ vpos()

virtual double plask::optical::modal::LevelsAdapter::Level::vpos | ( |  | ) | const
| pure virtual

Get level vertical position.

Implemented in plask::optical::modal::LevelsAdapterRectangular< dim >::RectangularLevel, plask::optical::modal::LevelsAdapterRectangular< dim >::RectangularLevel, plask::optical::modal::LevelsAdapterGeneric< dim >::GenericLevel, and plask::optical::modal::LevelsAdapterRectangular< dim >::RectangularLevel.

The documentation for this struct was generated from the following file:

- solvers/optical/modal/meshadapter.hpp